/**
 * @license
 * Copyright 2018 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import '@material/mwc-tab/mwc-tab.js';
import '@material/mwc-tab-scroller/mwc-tab-scroller.js';
import { BaseElement } from '@material/mwc-base/base-element.js';
import { Tab } from '@material/mwc-tab/mwc-tab.js';
import { TabScroller } from '@material/mwc-tab-scroller/mwc-tab-scroller.js';
import { MDCTabBarAdapter } from '@material/tab-bar/adapter.js';
import MDCTabBarFoundation from '@material/tab-bar/foundation.js';
import { MDCTabInteractionEvent } from '@material/tab/types.js';
export declare class TabBarBase extends BaseElement {
    protected mdcFoundation: MDCTabBarFoundation;
    protected readonly mdcFoundationClass: typeof MDCTabBarFoundation;
    protected mdcRoot: HTMLElement;
    protected scrollerElement: TabScroller;
    protected tabsSlot: HTMLElement;
    activeIndex: number;
    protected _previousActiveIndex: number;
    protected _handleTabInteraction(e: MDCTabInteractionEvent): void;
    protected _handleKeydown(e: KeyboardEvent): void;
    protected render(): import("lit-html").TemplateResult<1>;
    protected _getTabs(): Tab[];
    protected _getTab(index: number): Tab;
    protected createAdapter(): MDCTabBarAdapter;
    protected firstUpdated(): void;
    protected getUpdateComplete(): Promise<boolean>;
    scrollIndexIntoView(index: number): void;
}
